//demo shell code
#include <stdio.h>

int image(long ms, int* argb, int size, int x, int y, int w, int h, int* options) {
	int a_max = 0xff * options[0] / 100;
	int a_max_24 = (a_max << 24);

//	printf("w: %d h: %d a: %d ax: %x\n", w, h, options[0], a_max);

	unsigned int b;
	for (int yh=y +h, xw=x +w, x2,y2,a,c; y<yh; y++) {
		for (y2=y * size, x2=x; x2<xw; x2++) {
			c = y2 + x2;
			b = argb[c];	//argb always AARRGGBB,AARRGGBB..
			a = ((b & 0xff000000) >> 24);	//only alpha

			if (a > a_max) {
				b = (b & 0x00ffffff);	//RGB without AA
				argb[c] = (a_max_24 | b);	//use a_max
			}
		}
	}

	return 0;
}
